Bug 592726 - RFE: yum should have a real state for downgrade (swapout for rpm, at the last minute) ... solves removal problems
RFE: yum should have a real state for downgrade (swapout for rpm, at the last...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 10:59 EDT by Andreas Fleig
Modified: 2014-01-21 18:15 EST (History)
6 users (show)

See Also:
Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 19:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum log (54.97 KB, text/x-log)
2010-05-16 11:00 EDT, Andreas Fleig
no flags Details
yum history sqlite db (275.00 KB, application/octet-stream)
2010-05-16 11:01 EDT, Andreas Fleig
no flags Details
bash log (35.00 KB, application/octet-stream)
2010-05-16 11:02 EDT, Andreas Fleig
no flags Details

  None (edit)
Description Andreas Fleig 2010-05-16 10:59:51 EDT
Description of problem:
Instead of downgrading itself to resolve dependency problems during a "yum downgrade", yum removes itself.

Version-Release number of selected component (if applicable):
yum-3.2.27-4.fc13.noarch

How reproducible:


Steps to Reproduce:

1. Install updates from updates-testing
2. Downgrade db4-4.8.30-1.fc13.x86_64 to db4-4.8.26-1.fc13.x86_64
3. Profit

Actual results:
a fedora system without yum and rpm

Expected results:
a fedora system with downgraded yum and rpm

Additional info:
yum log and sqlite history attached
Comment 1 Andreas Fleig 2010-05-16 11:00:18 EDT
Created attachment 414363 [details]
yum log
Comment 2 Andreas Fleig 2010-05-16 11:01:55 EDT
Created attachment 414366 [details]
yum history sqlite db
Comment 3 Andreas Fleig 2010-05-16 11:02:18 EDT
Created attachment 414367 [details]
bash log
Comment 4 James Antill 2010-05-17 11:44:00 EDT
Yeh, a couple of people have logged this now. I'll change this one to an RFE, but it's a _big_ change. As always don't use "-y" unless you have really good backups :).
Comment 5 Fedora Update System 2010-08-02 10:12:36 EDT
yum-3.2.28-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc13
Comment 6 Fedora Update System 2010-08-02 10:14:06 EDT
yum-3.2.28-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc14
Comment 7 Fedora Update System 2010-08-02 10:15:40 EDT
yum-3.2.28-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc12
Comment 8 Fedora Update System 2010-08-02 20:40:21 EDT
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc13
Comment 9 Fedora Update System 2010-08-02 20:57:50 EDT
yum-3.2.28-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc12
Comment 10 Fedora Update System 2010-08-02 22:15:32 EDT
yum-3.2.28-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-1.fc14
Comment 11 Fedora Update System 2010-08-05 19:45:53 EDT
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-08-12 16:16:42 EDT
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12
Comment 13 Fedora Update System 2010-08-12 16:19:08 EDT
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13
Comment 14 Fedora Update System 2010-08-12 16:21:29 EDT
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14
Comment 15 Fedora Update System 2010-08-17 01:46:50 EDT
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-08-19 22:20:25 EDT
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-08-23 21:38:03 EDT
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.